Bug 1293450 - [abrt] chordii: ps_fputs(): chordii killed by SIGSEGV
[abrt] chordii: ps_fputs(): chordii killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1293447
Product: Fedora
Classification: Fedora
Component: chordii (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Johan Vromans
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e250cfc4bf4be7426afb4377120...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 14:05 EST by mariolinux
Modified: 2015-12-24 02:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 02:29:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.17 KB, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: core_backtrace (1.00 KB, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: dso_list (225 bytes, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: environ (3.14 KB, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: maps (1.56 KB, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: open_fds (138 bytes, text/plain)
2015-12-21 14:05 EST, mariolinux
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-12-21 14:06 EST, mariolinux
no flags Details
File: var_log_messages (876 bytes, text/plain)
2015-12-21 14:06 EST, mariolinux
no flags Details
input file (2.38 KB, text/plain)
2015-12-23 20:16 EST, mariolinux
no flags Details

  None (edit)
Description mariolinux 2015-12-21 14:05:41 EST
Version-Release number of selected component:
chordii-4.5.1-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        chordii -t14 -L -s32 -g -p0 -i -
crash_function: ps_fputs
executable:     /usr/bin/chordii
global_pid:     16203
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ps_fputs at chordii.c:185
 #1 ps_puts at chordii.c:195
 #2 do_subtitle at chordii.c:877
 #3 process_file at chordii.c:1168
Comment 1 mariolinux 2015-12-21 14:05:45 EST
Created attachment 1108409 [details]
File: backtrace
Comment 2 mariolinux 2015-12-21 14:05:46 EST
Created attachment 1108410 [details]
File: cgroup
Comment 3 mariolinux 2015-12-21 14:05:48 EST
Created attachment 1108411 [details]
File: core_backtrace
Comment 4 mariolinux 2015-12-21 14:05:49 EST
Created attachment 1108412 [details]
File: dso_list
Comment 5 mariolinux 2015-12-21 14:05:50 EST
Created attachment 1108413 [details]
File: environ
Comment 6 mariolinux 2015-12-21 14:05:52 EST
Created attachment 1108414 [details]
File: exploitable
Comment 7 mariolinux 2015-12-21 14:05:53 EST
Created attachment 1108415 [details]
File: limits
Comment 8 mariolinux 2015-12-21 14:05:55 EST
Created attachment 1108416 [details]
File: maps
Comment 9 mariolinux 2015-12-21 14:05:56 EST
Created attachment 1108417 [details]
File: mountinfo
Comment 10 mariolinux 2015-12-21 14:05:57 EST
Created attachment 1108418 [details]
File: namespaces
Comment 11 mariolinux 2015-12-21 14:05:59 EST
Created attachment 1108419 [details]
File: open_fds
Comment 12 mariolinux 2015-12-21 14:06:00 EST
Created attachment 1108420 [details]
File: proc_pid_status
Comment 13 mariolinux 2015-12-21 14:06:01 EST
Created attachment 1108421 [details]
File: var_log_messages
Comment 14 Johan Vromans 2015-12-23 16:14:54 EST
Can you attach a copy of the input file that caused the crash?
Comment 15 mariolinux 2015-12-23 20:16 EST
Created attachment 1109051 [details]
input file

The input file has been modified by an awk script, but I made many attempts and I cannot remember the version related to this crash. As I am just a beginner with awk, the awk script probably did something strange. However I will send you the input file, but if it happened to me only, I think we can ignore this crash.
Comment 16 Johan Vromans 2015-12-24 02:29:00 EST

*** This bug has been marked as a duplicate of bug 1293447 ***

Note You need to log in before you can comment on or make changes to this bug.